<div xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:jf="http://typo3.org/ns/CodingMs/JobFinder/ViewHelpers"
	 data-namespace-typo3-fluid="true" lang="en">

<div class="card job-application">
	<div class="card-body">
		<h2><f:translate key="tx_jobfinder_label.apply_now" /></h2>
		<ul class="application-links">
			<f:if condition="{job.directApply} && {settings.application.active}">
				<li>
					<f:link.action action="application"
								   arguments="{job: job}"
								   class="application-by-form"><f:translate key="tx_jobfinder_label.application_form" /></f:link.action>
				</li>
			</f:if>
			<li>
				<jf:variable.set name="emailSubjectArguments"
								 value="{0: job.title}" />
				<jf:variable.set name="emailSubject"
								 value="{f:translate(key: 'tx_jobfinder_label.email_subject', arguments: emailSubjectArguments)}" />
				<jf:variable.set name="emailBody"
								 value="{f:translate(key: 'tx_jobfinder_label.email_body', arguments: emailSubjectArguments)}" />
				<jf:variable.set name="mailParameter"
								 value="?subject={emailSubject -> f:format.urlencode()}&body={emailBody -> f:format.urlencode()}" />
				<a href="mailto:{job.publisher.emailContactPerson}{mailParameter}"><f:translate key="tx_jobfinder_label.email" /></a>
			</li>
			<f:if condition="{job.linkXing}">
				<li>
					<a href="{job.linkXing}" target="_blank" class="application-by-xing"><f:translate key="tx_jobfinder_label.apply_with_xing" /></a>
				</li>
			</f:if>
			<f:if condition="{job.linkIndeed}">
				<li>
					<a href="{job.linkIndeed}" target="_blank" class="application-by-indeed"><f:translate key="tx_jobfinder_label.apply_with_indeed" /></a>
				</li>
			</f:if>
		</ul>
	</div>
</div>

</div>
